---
title: About Me
resources:
  - name: profile
    src: "images/profile.jpg"
---

{{< columns size=small >}}

<!-- spellchecker-disable -->

{{< img name=profile lazy=false size=profile anchor=top >}}

<!-- spellchecker-enable -->

<--->

Hi, I'm Robert. I'm a Linux Engineer, open source enthusiast and a self-hosting geek. Most of the time I work in Operations and focus on infrastructure and deployment automation, which is my real passion. On my private blog [thegeeklab.de](https://thegeeklab.de/) I write about everything that comes to my mind, but mainly about topics from the Linux and open source world.

My Linux journey started almost 10 years ago. For more than 5 years, maintaining and managing Linux servers in professional environments has been my daily business. I have worked a lot with Red Hat Enterprise Linux in corporate environments and prefer RPM-based distributions for my personal use as well. My daily driver is a Thinkpad powered by Fedora and since the restructuring of the CentOS project, I have been using Rocky Linux for my servers.
{{< /columns >}}

---

## Experience

{{< columns size=small >}}
**[ownCloud](https://owncloud.com/)**\
System Administrator\
May 2019

<--->

ownCloud is an open-source file sync, share and content collaboration software. As part of the operations team, I am responsible for the company-wide server infrastructure. That also including the Continuous Integration platform, which is a critical component for the development of our products. To manage the container-based deployments of more than 70 servers, we follow the infrastructure as code approach and use Terraform, Ansible and Continuous Deployment. Graylog, Telegraf, Prometheus and Grafana build the foundation for a seamless monitoring and troubleshooting.
{{< /columns >}}

{{< columns size=small >}}
**[Schwarz IT](https://it.schwarz/en)**\
Linux Engineer\
Oct 2017 - Apr 2019

<--->

The Schwarz IT is the central IT service provider of the Schwarz Group where the main customers are the two retail divisions Lidl and Kaufland. During my work as part of the Linux Server team, one challenge was to design a test-driven infrastructure environment using Ansible and Ansible Tower for more than 4.000 Linux servers in three different data centers to replace the existing Puppet configuration management.
{{< /columns >}}

{{< columns size=small >}}
**[Kaufland](https://unternehmen.kaufland.de/ueber-kaufland.html)**\
First Level Support\
Jul 2013 - Aug 2014

<--->

While working in the First Level Support Team of the Kaufland distribution center of Barsinghausen, the main task was to provide support for all problems related to the soft- and hardware environment of the employees and the retail ERP solution (SAP).
{{< /columns >}}

---

## Education

{{< columns size=small >}}
**BS Business Informatics**\
DHBW Mosbach\
Sep 2014 - Sep 2017

<--->

During my dual studies, I worked in various areas at Schwarz IT. After joining the SAP security department, I worked in the Linux department, where I also wrote my Bachelor Thesis entitled "Selection and prototypical implementation of a configuration management solution for Linux".

{{< /columns >}}

{{< columns size=small >}}
**IT specialist**\
IHK Cottbus\
Sep 2010 - Jun 2013

<--->

Apprenticeship as "Computer Science Expert Subject Area: System Integration" at <!-- spellchecker-disable -->Kaufland Logistik VZ 2<!-- spellchecker-enable -->.

{{< /columns >}}

---

## Skills

{{< columns >}}

## Operations

<!-- prettier-ignore-start -->
<!-- spellchecker-disable -->
{{% progress title=Linux value=100 icon=geeklab_tux %}}
{{% progress title=Ansible value=100 icon=geeklab_ansible %}}
{{% progress title=Terraform value=80 icon=geeklab_terraform %}}
{{% progress title=Docker value=80 icon=geeklab_docker %}}
{{% progress title=Kubernetes value=20 icon=geeklab_kubernetes %}}
<!-- spellchecker-enable -->
<!-- prettier-ignore-end -->

<--->

## Development

<!-- prettier-ignore-start -->
<!-- spellchecker-disable -->
{{% progress title=Python value=80 icon=geeklab_python %}}
{{% progress title=Golang value=60 icon=geeklab_golang %}}
<!-- spellchecker-enable -->
<!-- prettier-ignore-end -->

{{< /columns >}}

---

## Contact

<!-- prettier-ignore-start -->
<!-- spellchecker-disable -->
{{< boxes "contact" >}}
{{< box size=large title=E-Mail icon=gblog_email >}}[mail@thegeeklab.de](mailto:mail@thegeeklab.de){{< /box >}}
{{< box size=large title=Matrix icon=gblog_matrix >}}[@xoxys:rknet.org](https://matrix.to/#/@xoxys:rknet.org){{< /box >}}
{{< box size=large title=Mastodon icon=gblog_mastodon >}}[@xoxys@social.tchncs.de](https://social.tchncs.de/@xoxys){{< /box >}}
{{< box size=large title=GitHub icon=gblog_github >}}[github.com/xoxys](https://github.com/xoxys){{< /box >}}
{{< box size=large title=Gitea icon=gblog_gitea >}}[gitea.rknet.org/xoxys](https://gitea.rknet.org/xoxys){{< /box >}}
{{< /boxes >}}
<!-- spellchecker-enable -->
<!-- prettier-ignore-end -->
